Subject: Re: git-push through git protocol

From: Jakub Narebski <[email-masked]>
Date: Sun, 21 Jan 2007 16:27:28 +0100

[Cc: [email-masked]]

Bill Lear wrote:

> We have a secure network in which we run all of our git-supported
> development activities.  We would like to be able to do git-push
> through the git protocol.  Reasons: 1) it seems more efficient; 2) we
> have run into problems with developers having different umasks ---
> when run through ssh, we ran into file permissions problems and
> instead of tracking down each umask issue the developer has (and,
> frankly, not wanting to change their default), we resorted to fixing
> up the permissions inside of the update hook (chmod -R ug+w, I think);
> 3) we would prefer a single protocol instead of sometimes pulling with
> git and pushing with ssh.
> 
> It seems there should be a way to configure a repo or the git daemon
> to say "Allow push operations".
> 
> I looked through the release notes Junio posted for 1.5.0-rc2, but
> found no reference to the git daemon.

git:// protocol is not authenticated. git by design allow push only through
authenticated protocols, i.e. local, ssh:// (git+ssh://), http(s):// with
WebDAV, probably in the future ftps://. 

rsync:// (deprecated) and git:// are fetch only (read-only) protocols.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git